org.eclipse.emf.cdo.common

## Interface CDOCommonSession.Options.LockNotificationModeEvent

- All Superinterfaces:
    IEvent, IOptionsEvent
  Enclosing interface:
    CDOCommonSession.Options

      public static interface CDOCommonSession.Options.LockNotificationModeEvent
      extends IOptionsEvent

  An `options event` fired when the `lock notification mode` of a CDO session has changed.
  Since:
    4.1
  Author:
    Caspar De Groot

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCommonSession.Options.LockNotificationMode` | `getNewMode()`
    `CDOCommonSession.Options.LockNotificationMode` | `getOldMode()`

    - ### Methods inherited from interface org.eclipse.net4j.util.options.IOptionsEvent

      `getSource`

- - ### Method Detail

    - #### getOldMode

          CDOCommonSession.Options.LockNotificationMode getOldMode()

    - #### getNewMode

          CDOCommonSession.Options.LockNotificationMode getNewMode()

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html